Logs
Returns the requested log model.
Args: logs_id: ID of the log model. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.
Returns: The requested log model.
Raises: IllegalOperationError: If the logs are not associated with a pipeline run or step run before fetching.
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
logs_idstring · uuidRequired
Query parameters
hydratebooleanOptionalDefault:
trueResponses
200
Successful Response
application/json
Response model for logs.
idstring · uuidRequired
permission_deniedbooleanOptionalDefault:
false401
Unauthorized
application/json
403
Forbidden
application/json
404
Not Found
application/json
422
Unprocessable Entity
application/json
get/api/v1/logs/{logs_id}
GET /api/v1/logs/{logs_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"uri": "text",
"source": "text"
},
"metadata": {
"step_run_id": "123e4567-e89b-12d3-a456-426614174000",
"pipeline_run_id": "123e4567-e89b-12d3-a456-426614174000",
"artifact_store_id": "123e4567-e89b-12d3-a456-426614174000",
"log_store_id": "123e4567-e89b-12d3-a456-426614174000",
"hook_invocation_id": "123e4567-e89b-12d3-a456-426614174000"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false
}Last updated
Was this helpful?